freenet.support.CPUInformation

## Interface AMDCPUInfo

- All Superinterfaces:
    CPUInfo
  All Known Implementing Classes:
    AMDInfoImpl

      public interface AMDCPUInfo
      extends CPUInfo

  Author:
    Iakin An interface for classes that provide lowlevel information about AMD CPU's free (adj.): unencumbered; not under the control of others Written by Iakin in 2004 and released into the public domain with no warranty of any kind, either expressed or implied. It probably won't make your computer catch on fire, or eat your children, but it might. Use at your own risk.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `IsAthlon64Compatible()`
    `boolean` | `IsAthlonCompatible()`
    `boolean` | `IsBobcatCompatible()`
    `boolean` | `IsGeodeCompatible()`
    `boolean` | `IsK6_2_Compatible()`
    `boolean` | `IsK6_3_Compatible()`
    `boolean` | `IsK6Compatible()`

    - ### Methods inherited from interface freenet.support.CPUInformation.CPUInfo

      `getCPUModelString, getVendor, hasMMX, hasSSE, hasSSE2, hasSSE3, hasSSE41, hasSSE42, hasSSE4A`

- - ### Method Detail

    - #### IsK6Compatible

          boolean IsK6Compatible()

      Returns:
        true if the CPU present in the machine is at least an 'k6' CPU

    - #### IsK6_2_Compatible

          boolean IsK6_2_Compatible()

      Returns:
        true if the CPU present in the machine is at least an 'k6-2' CPU

    - #### IsK6_3_Compatible

          boolean IsK6_3_Compatible()

      Returns:
        true if the CPU present in the machine is at least an 'k6-3' CPU

    - #### IsGeodeCompatible

          boolean IsGeodeCompatible()

      Returns:
        true if the CPU present in the machine is at least an 'geode' CPU

    - #### IsAthlonCompatible

          boolean IsAthlonCompatible()

      Returns:
        true if the CPU present in the machine is at least an 'k7' CPU (Atlhon, Duron etc. and better)

    - #### IsAthlon64Compatible

          boolean IsAthlon64Compatible()

      Returns:
        true if the CPU present in the machine is at least an 'k8' CPU (Atlhon 64, Opteron etc. and better)

    - #### IsBobcatCompatible

          boolean IsBobcatCompatible()

      Returns:
        true if the CPU present in the machine is at least an 'k8' CPU (Atlhon 64, Opteron etc. and better)